Package org.apache.wiki.event

## Class WikiPageRenameEvent

- java.lang.Object
- - java.util.EventObject
  - - org.apache.wiki.event.WikiEvent
    - - org.apache.wiki.event.WikiPageEvent
      - - org.apache.wiki.event.WikiPageRenameEvent

All Implemented Interfaces:
  `java.io.Serializable`

    public class WikiPageRenameEvent
    extends WikiPageEvent

WikiPageRenameEvent extends WikiPageEvent to indicate a change in the name of a WikiPage.

This reuses `WikiPageEvent.getPageName()` to return the new name of the page, with `getOldPageName()` returning the old name.

Since:
  2.5.108
See Also:
  `WikiPageEvent`, Serialized Form

### Field Summary

Fields
`static int` `PAGE_RENAMED` Indicates a page rename event.

### Fields inherited from class org.apache.wiki.event.WikiPageEvent

`PAGE_DELETE_REQUEST, PAGE_DELETED, PAGE_DELIVERED, PAGE_LOCK, PAGE_REINDEX, PAGE_REQUESTED, PAGE_UNLOCK, POST_SAVE, POST_SAVE_BEGIN, POST_SAVE_END, POST_TRANSLATE, POST_TRANSLATE_BEGIN, POST_TRANSLATE_END, PRE_SAVE, PRE_SAVE_BEGIN, PRE_SAVE_END, PRE_TRANSLATE, PRE_TRANSLATE_BEGIN, PRE_TRANSLATE_END`

### Fields inherited from class org.apache.wiki.event.WikiEvent

`ERROR, UNDEFINED`

### Fields inherited from class java.util.EventObject

`source`

### Constructor Summary

Constructors
`WikiPageRenameEvent​(java.lang.Object src, java.lang.String oldname, java.lang.String newname)` Constructs an instance of this event.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.String` `eventName()` Returns a textual representation of the event type.
`java.lang.String` `getNewPageName()` Returns the new Wiki page name associated with this event.
`java.lang.String` `getOldPageName()` Returns the old Wiki page name associated with this event.
`java.lang.String` `getTypeDescription()` Returns a human-readable description of the event type.
`static boolean` `isValidType​(int type)` Returns true if the int value is a WikiPageRenameEvent type.

### Methods inherited from class org.apache.wiki.event.WikiPageEvent

`getPageName`

### Methods inherited from class org.apache.wiki.event.WikiEvent

`getArg, getArgs, getSrc, getType, getWhen, setType, toString`

### Methods inherited from class java.util.EventObject

`getSource`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### PAGE_RENAMED

    public static final int PAGE_RENAMED

Indicates a page rename event. This is based on events generated by `org.apache.wiki.content.PageRenamer`.

See Also:
  Constant Field Values

### Constructor Detail

#### WikiPageRenameEvent

    public WikiPageRenameEvent​(java.lang.Object src,
                               java.lang.String oldname,
                               java.lang.String newname)

Constructs an instance of this event.

Parameters:
  `src` - the Object that is the source of the event.
  `oldname` - the old name of the WikiPage being acted upon.
  `newname` - the new name of the WikiPage being acted upon.

### Method Detail

#### getOldPageName

    public java.lang.String getOldPageName()

Returns the old Wiki page name associated with this event. This may be null if unavailable.

Returns:
  the old Wiki page name associated with this WikiEvent, or null.

#### getNewPageName

    public java.lang.String getNewPageName()

Returns the new Wiki page name associated with this event. This returns the same value as the superclass' `WikiPageEvent.getPageName()`. This may be null if unavailable.

Returns:
  the new Wiki page name associated with this WikiEvent, or null.

#### isValidType

    public static boolean isValidType​(int type)

Returns true if the int value is a WikiPageRenameEvent type.

#### eventName

    public java.lang.String eventName()

Returns a textual representation of the event type.

Overrides:
  `eventName` in class `WikiPageEvent`
Returns:
  a String representation of the type

#### getTypeDescription

    public java.lang.String getTypeDescription()

Returns a human-readable description of the event type.

Overrides:
  `getTypeDescription` in class `WikiPageEvent`
Returns:
  a String description of the type